<?php
##############################################
##	Link Popularity Checker					##
##	Version:		1.1						##
##	Release Date:	03-06-05				##
##------------------------------------------##
##	Website:	http:/www.checkurl.info		##
##	Email:		support@checkurl.info		##
##------------------------------------------##
## Copyright 2005 by Promotion 24 LLC.		##
##############################################
// ensure this file is being included by a parent file
defined( 'P24LINKPOP' ) or die( 'Direct Access to this location is not allowed.' );

function Alexa($domain,$settings) {
	//define vars
	$return = NULL;
	$serviceURL = 'http://aws-beta.amazon.com/onca/xml';

	// set the query
	$query = str_replace("[[FULLURL]]", $domain['fullurl'],
				str_replace("[[DOMAIN]]", $domain['domain'],
				str_replace("[[DOM]]", $domain['dom'],
				str_replace("[[EXT]]", $domain['ext'],
				$settings['apiQuery']))));
							
	// construct the query
	$q = '?Service=AlexaWebInfoService&SubscriptionId='.$settings['apiKey'].'&Operation=UrlInfo&ResponseGroup=Rank&Url='.rawurlencode($query);
	
	// get the xml results
	$xml = file_get_contents($serviceURL.$q);
	
	// find the rank
	preg_match('/\<Rank\>(\d+)\<\/Rank\>/', $xml, $result);
	$return = $result[1];

	// return the results
    return $return;
}
?>