<?php //functions.inc.php
##############################################
##	Link Popularity Checker					##
##	Version:		1.2						##
##	Release Date:	06-07-05				##
##------------------------------------------##
##	Website:	http:/www.checkurl.info		##
##	Email:		support@checkurl.info		##
##------------------------------------------##
## Copyright 2005 by Promotion 24 LLC.		##
##############################################
defined( 'P24LINKPOP' ) or die( 'Direct Access to this location is not allowed.' );

// English Translation File
$GLOBALS['linkpopConfig']['LANGUAGE'] = array(
###------------###
### About Page ###
###------------###
'H_ABOUT' =>				'About',
'TXT_ABOUT' =>				'<p>The <a href="http://www.checkurl.info">Link Popularity Checker</a> is a <b>free software</b> by <a href="http://www.checkurl.info">CheckURL</a>.</p>
<p>Your current version number is: <b>'.$GLOBALS['linkpopConfig']['VERSION']['client'].'</b><br/>
The latest version is: <b>[[LATEST_VERSION]]</b></p>
[[UPGRADE_NOTE]]
<h4>Support Resources</h4>
<p>If you have any questions, concerns or feedback, please do not hesitate to utilize the various support mediums we offer:</p>
<ul>
<li><p><a href="http://forum.checkurl.info">Community Forum</a> - contains a vast amount of information contributed by community users like you. We would highly appreciate the contribution of your valuable knowledge to our community :).</li>
<li><p><a href="http://docs.checkurl.info">Documentation</a> - contains official documents by CheckURL (i.e. Installation, Configuration).</p></li>
</ul>
<h4>Support the Link Popularity Checker</h4>
<p>If you like the link popularity checker, please support it by any of the following means:</p>
<ul>
<li><p>Place a link from your website to http://www.checkurl.info.<br/>
You could use the following html code:
<b>&lt;a href=&quot;http://www.checkurl.info&quot;&gt;Free Link Popularity Checker Download&lt;/a&gt;</b></p>
</li>
<li><p>Vote for the link popularity checker at HotScripts.<br/>
<a href="http://www.hotscripts.com/rate/26097.html" target="_blank">http://www.hotscripts.com/rate/26097.html</a></p>
</li>
<li><p>Write a review for the link popularity checker at HotScripts.<br/>
<a href="http://www.hotscripts.com/account/index.html?section=reviews&type=addnew&listing_id=26097" target="_blank">http://www.hotscripts.com/account/index.html?section=reviews&type=addnew&listing_id=26097</a></p>
</li>
</ul>',
'TXT_CONSIDER_UPGRADE' =>	'<span class="red">You should consider upgrading your Link Popularity Checker version. <a href="http://forum.checkurl.info/index.php?showforum=2" target="_blank">Click to see what has been updated</a></span>',

###---------------------###
### Administration Page ###
###---------------------###
'TXT_ADMINISTRATION' =>		'<p>Welcome to the Link Popularity Checker Administration!<br/>
To add, view, update or remove your Search Engines, please click on <b>Search Engines</b>.<br/>
To update the general system settings, please click on <b>Settings</b>.</p>
<p>Keep yourself and the link popularity checker up to date by frequenting the community forum at <a href="http://forum.checkurl.info/index.php?showforum=2">http://forum.checkurl.info/index.php?showforum=2</a>.</p>',
'TXT_LICENSE' =>			'License Agreement',

###-----------------------------------###
### Change Username and Password Page ###
###-----------------------------------###
// headings
'H_CHANGEUSERPASS' =>		'Change Username and Password',
// input fields
'IFS_CP_T1' =>				'Username',
'IFS_CP_T1_DESC' =>			'<br/>Enter an alphanumeric admin username.',
'IFS_CP_T2' =>				'Current Password',
'IFS_CP_T2_DESC' =>			'<br/>Enter your current alphanumeric admin password.',
'IFS_CP_T3' =>				'New Password',
'IFS_CP_T3_DESC' =>			'<br/>Enter your new alphanumeric admin password.',
'IFS_CP_T4' =>				'Confirm Password',
'IFS_CP_T4_DESC' =>			'<br/>Re-enter your new admin password for confirmation.',

###-------###
### Error ###
###-------###
'MSG_COULD_NOT_OPEN_FILE' =>'Error: Could not open news file to write to!',
'MSG_INVALID_LOGIN' =>		'Your username or password is invalid.',
'MSG_INVALID_PASS' =>		'The value you entered for "Current Password" is invalid.',
'MSG_INACTIVE_LOGIN' =>		'Your account is inactive. Please contact the administrator to activate your account.',
'MSG_FIELDS_MISSING' =>		'You did not fill out all required fields.',
'MSG_INVALID_EMAIL' =>		'The email address [[EMAIL]] is invalid.',
'MSG_NOT_SUBSCRIBED' =>		'You are not subscribed to our newsletter.',
'MSG_ALREADY_SUBSCRIBED' =>	'You are already subscribed to our newsletter.',
'MSG_PASSWORDS_INVALID' =>	'The password is invalid.',
'MSG_PASSWORDS_NOT_MATCH' =>'The passwords do not match.',
'MSG_PASSWORD_MINLENGTH' =>	'The passwords has to be at least [[MINCHARS]] characters.',
'MSG_INVALID_CHAR' =>		'The value for [[TITLE]] contains invalid characters',
'MSG_INVALID_DATE' =>		'Please enter a valid date (MM/DD/YYYY) for [[TITLE]]',
'MSG_PLEASE_SEL_VAL' =>		'Please select a value for [[TITLE]]',
'MSG_PLEASE_ENTER_VAL' =>	'Please enter a value for [[TITLE]]',
'MSG_PLEASE_ENTER_DIFF_VAL' => 'Please enter a different value for [[TITLE]]',
'MSG_FILE_ALREADY_EXISTS' => 'The file [[FILE]] already exists.',
'MSG_SEL_ENGINE' =>			'Please select at least one search engine to search.',

###-----------###
### Functions ###
###-----------###
'TXT_YES' =>				'Yes',
'TXT_NO' =>					'No',
'TXT_ON' =>					'On',
'TXT_OFF' =>				'Off',
'TXT_SHORT' =>				'Short',
'TXT_FULL' =>				'Full',
'TXT_ACTIVE' =>				'Active',
'TXT_INACTIVE' =>			'Inactive',
'TXT_PENDING' =>			'Pending',
'TXT_OPEN' =>				'Open',
'TXT_CLOSED' =>				'Closed',
'TXT_CLOSE' =>				'Close',
'TXT_REQINPUT' =>			'<span class="red">*</span>',
'TXT_DB' =>					'Database',

###------------###
### Login Page ###
###------------###
//headings
'H_LOGIN' =>				'Login',
//input fields
'IF_LOGIN_T1'			=> 'Username',
'IF_LOGIN_T2'			=> 'Password',
'IF_LOGIN_T3'			=> 'Preference',
'TXT_REMEMBER_ME'		=> 'Remember my login information',
'TXT_NOT_REMEMBER_ME'	=> 'Do not remember my login information',
//button
'BTN_LOGIN' =>				'Login',
//error
'MSG_INVALID_LOGIN' =>		'The username or password is invalid.',

###------###
### Menu ###
###------###
//heading
'MENU_ABOUT' =>					'About',
'MENU_CHANGEUPASS' =>			'Change User/Pass',
'MENU_HOME' =>					'Home',
'MENU_SEARCHENGINES' =>			'Search Engines',
'MENU_SETTINGS' =>				'Settings',
'MENU_LOGOUT' =>				'Logout',

###-------###
### Misc. ###
###-------###
//heading
'LINKPOP' =>				'Link Popularity Checker',
'ADMINISTRATION' =>			'Administration',

###--------------###
### Results Page ###
###--------------###
// gathering results section
'TXT_GATHERING_RESULTS_T' =>'Gathering Link Popularity Results',
'TXT_GATHERING_RESULTS_DESC' =>'<p>Please stand by while we are gathering the Link Popularity results.</p>',
'BTN_VIEW_RESULTS' =>		'View the Results',
// results page section
'TXT_SEARCH_AGAIN' =>		'Check Link Popularity of other domains',
'MSG_NO_RESULTS' =>			'There are no results for domains with a positive link popularity.',
// email results input fields
'TXT_EMAIL_RESULTS' =>		'<h3>Email Results</h3>
<p>Please enter your email address below if you wish to have the results sent to you.</p>',
'IF_EMAIL_T1' =>			'Email',
'IF_EMAIL_T1_DESC' =>		'&nbsp;<i>you@youremail.com</i>',
'BTN_EMAIL_RESULTS' =>		'Email Results',
'MSG_RESULTS_EMAILED' =>	'The Link Popularity Checker results have been sent to <b>[[EMAIL]]</b>.',
// export results
'TXT_EXPORT_RESULTS' =>		'<h3>Export Results</h3>',
'BTN_EXPORT_RESULTS' =>		'Export Results',
// results table
'TXT_SELECT_ALL' =>			'Select/Unselect All',
'TXT_OPT_W_SEL' =>			'With selected domains:',
'TXT_OPT_RET_NEW' =>		'Retrieve Results again',
'TXT_OPT_EXPORT_CSV' =>		'Export to Excel/CSV',
'TXT_OPT_EXPORT_TXT' =>		'Export to Text file',
'TXT_OPT_EXPORT_XML' =>		'Export to XML',
'TXT_OPT_EMAIL' =>			'Email results',

###-----------------------###
### Statistics/Graph Page ###
###-----------------------###
// gathering results section
'TXT_STATS_FOR_DOM' =>		'<h3>Statistics for the domain <u>[[DOMAIN]]</u></h3>',
'TXT_LINKPOP_TREND' =>		'<h4>Link Popularity Trend</h4>
<p>The Link Popularity Trend shows you how the link popularity fluctuated for a domain over time.<br/>
Click on the Engine name to see a <u>visual graph</u> of those fluctuations.</p>',
'TXT_ENGINE' =>				'Engine',
'TXT_CURRENT' =>			'Current',
'TXT_MINIMUM' =>			'Minimum',
'TXT_MAXIMUM' =>			'Maximum',
'TXT_AVERAGE' =>			'Average',
'TXT_TOTAL' =>				'Total/Current',
'TXT_LINKPOP_HISTORY' =>	'<h4>Link Popularity History</h4>',
'TXT_SAMPLES_NO' =>			'# of Samples',
'TXT_SAMPLES_START' =>		'Start',
'TXT_SAMPLES_END' =>		'End',
'TXT_SAMPLES_DAYS' =>		'# of Days',
// graph
'TXT_GRAPH_YAXIS' =>		'Link Popularity',
'TXT_GRAPH_XAXIS' =>		'Date',

###-----------------###
### Status Messages ###
###-----------------###
'MSG_LOADING_STATS' =>		'Loading Domain Statistics...',
'MSG_LOADED_STATS' =>		'Domain Statistics Loaded',
'MSG_EXPORTING_RESULTS' =>	'Exporting Results...',
'MSG_EXPORTED_RESULTS' =>	'Results Exported',
'MSG_EMAILING_RESULTS' =>	'Emailing Results to ',

###--------------------###
### Search Engine Page ###
###--------------------###
//headings
'H_SE' =>					'Search Engines',
'H_SE_ADD' =>				'Add Search Engine',
'H_SE_UPDATE' =>			'Update Search Engine',
'H_SE_DELETE' =>			'Delete Search Engine',
//messages
'MSG_SE_ADDED' =>			'The Search Engine [[TITLE]] has successfully been added.',
'MSG_SE_UPDATED' =>			'The Search Engine [[TITLE]] has successfully been updated.',
'MSG_SE_DELETED' =>			'The Search Engine has successfully been removed.',
'MSG_NO_SES' =>				'You currently do not have any search engines added.',
//input field headings
'IF_SE_H1' =>				'General Search Engine Settings',
'IF_SE_H2' =>				'Content Retrieval Settings',
'IF_SE_H3' =>				'Content Matching Settings',
'IF_SE_H3_DESC' =>			'Only required if you selected <b>get</b>, <b>proxy</b>, or <b>curl</b> as the content retrieval method.',
'IF_SE_H4' =>				'API Settings',
'IF_SE_H4_DESC' =>			'Only required if you selected <b>api</b> as the content retrieval method.',
//input fields
'IF_SE_T1' =>				'ID',
'IF_SE_T1_DESC' =>			'<br/>Enter a short alphanumeric identification for this Search Engine (i.e. "altavista" for "AltaVista").',
'IF_SE_T2' =>				'Name',
'IF_SE_T2_DESC' =>			'<br/>Enter the name of the Search Engine (i.e. "Google").',
'IF_SE_T3' =>				'URL',
'IF_SE_T3_DESC' =>			'<br/>Enter the URL to the search engine query. You can use the following placeholders:
<ul>
<li><b>[[FULLURL]]</b> - full url (i.e. "www.yourdomain.com/somepage.htm").</li>
<li><b>[[DOMAIN]]</b> - domain name with extension (i.e. "www.yourdomain.com").</li>
<li><b>[[DOM]]</b> - only domain name (i.e. "www.yourdomain").</li>
<li><b>[[EXT]]</b> - only extension (i.e. "com").</li>
</ul>',
'IF_SE_T4' =>				'Method',
'IF_SE_T4_DESC' =>			'<br/>Select the method on how the results will be retrieved.',
'IF_SE_T5' =>				'Match Method',
'IF_SE_T5_DESC' =>			'<br/>Select the function you want to use to match the result.',
'IF_SE_T6' =>				'Match Query',
'IF_SE_T6_DESC' =>			'<br/>Enter the match query in its entirety (i.e. "/of ([0-9\,]+)/" for "preg_match").',
'IF_SE_T7' =>				'Match Number',
'IF_SE_T7_DESC' =>			'<br/>Enter the array index number of the match that contains the desired result (i.e. "0" for the above example query).',
'IF_SE_T8' =>				'API Function',
'IF_SE_T8_DESC' =>			'<br/>Enter the name of the function that will be used to retrieve the results (i.e. "Google", not "Google()" or "function Google()").',
'IF_SE_T9' =>				'API Query',
'IF_SE_T9_DESC' =>			'<br/>Enter the query to retrieve the results (i.e. "link:[[DOMAIN]]"). You can use the following placeholders:
<ul>
<li><b>[[FULLURL]]</b> - full url (i.e. "www.yourdomain.com/somepage.htm").</li>
<li><b>[[DOMAIN]]</b> - domain name with extension (i.e. "www.yourdomain.com").</li>
<li><b>[[DOM]]</b> - only domain name (i.e. "www.yourdomain").</li>
<li><b>[[EXT]]</b> - only extension (i.e. "com").</li>
</ul>',
'IF_SE_T10' =>				'API Key',
'IF_SE_T10_DESC' =>			'<br/>(optional) Enter the API Key required to access the resources.',
'IF_SE_T11' =>				'API Username',
'IF_SE_T11_DESC' =>			'<br/>(optional) Enter the API Username required to access the resources.',
'IF_SE_T12' =>				'API Password',
'IF_SE_T12_DESC' =>			'<br/>(optional) Enter the API Password required to access the resources.',
'IF_SE_T13' =>				'Misc',
'IF_SE_T13_DESC' =>			'<br/>Enter any value you need to use for your API function.',
'IF_SE_T14' =>				'Result Type',
'IF_SE_T14_DESC' =>			'<br/>Select <b>INT</b> if the result is numeric and <u>should be counted towards the total link popularity</u>. Select <b>STRING</b> if result is alphanumeric (i.e. "yes" or "no")  and <u>should NOT be counted towards the total link popularity</u>.',
'IF_SE_T15' =>				'Status',
'IF_SE_T15_DESC' =>			'<br/>Select <b>Active</b> users should be able to check this search engine and select <b>Inactive</b> for the contrary.',
'IF_SE_T16' =>				'Checked',
'IF_SE_T16_DESC' =>			'<br/>Select <b>Yes</b> to have this search engine automatically selected at the search page. Select <b>No</b> for the contrary.',
'IF_SE_T17' =>				'Result Display',
'IF_SE_T17_DESC' =>			'<br/>If you wish to display the result in a custom way (i.e. picture/icon link), enter it here. You may use the following variables:
You can use the following placeholders:
<ul>
<li><b>[[URL]]</b> - The URL to the Link Popularity Checker directory</li>
<li><b>[[FULLURL]]</b> - full url (i.e. "www.yourdomain.com/somepage.htm").</li>
<li><b>[[DOMAIN]]</b> - domain name with extension (i.e. "www.yourdomain.com").</li>
<li><b>[[DOM]]</b> - only domain name (i.e. "www.yourdomain").</li>
<li><b>[[EXT]]</b> - only extension (i.e. "com").</li>
<li><b>[[RESULT]]</b> - The actual result</li>
</ul>',
'IF_SE_T18' =>				'API File',
'IF_SE_T18_DESC' =>			'<br/>Enter the name of the API file (i.e. "google_api.php").',

###---------------###
### Settings Page ###
###---------------###
// headings
'H_SETTINGS' =>				'Settings',
// input field headings
'IFS_SE_H1' =>				'General System Settings',
'IFS_SE_H2' =>				'Connection Settings',
'IFS_SE_H3' =>				'XML-RPC Settings',
'IFS_SE_H3_APPEND' =>		'Only required when you selected "XML-RPC" for <b>Save Results</b> above.',
'IFS_SE_H4' =>				'Email Results Settings',
'IFS_SE_H5' =>				'Results Settings',
// input fields
'IFS_SE_T1' =>				'Debug',
'IFS_SE_T1_DESC' =>			'<br/>Select whether debug mode should be enabled or disabled.','IFS_SE_T4' =>				'Proxy Checks',
'IFS_SE_T4_DESC' =>			'<br/>Enter the maximum number of attempts to retrieve results via proxy (The higher this number, the longer the duration of retrieving results).',
'IFS_SE_T6' =>				'Host',
'IFS_SE_T6_DESC' =>			'<br/>Enter the host name of the XML-RPC server (i.e. "www.linkpopserver.com").',
'IFS_SE_T7' =>				'Path',
'IFS_SE_T7_DESC' =>			'<br/>Enter the path to of the XML-RPC server (i.e. "/api")',
'IFS_SE_T8' =>				'Username',
'IFS_SE_T8_DESC' =>			'<br/>Enter your username for accessing the XML-RPC server.',
'IFS_SE_T9' =>				'Password',
'IFS_SE_T9_DESC' =>			'<br/>Enter your password for accessing the XML-RPC server.',
'IFS_SE_T10' =>				'Theme',
'IFS_SE_T10_DESC' =>		'<br/>Select the theme you wish to use for display.',
'IFS_SE_T11' =>				'From Email',
'IFS_SE_T11_DESC' =>		'<br/>Enter the results email sender address (i.e. "linkpop@yourdomain.com").',
'IFS_SE_T12' =>				'From Name',
'IFS_SE_T12_DESC' =>		'<br/>Enter the email sender name (i.e. "YourCompany").',
'IFS_SE_T13' =>				'Subject',
'IFS_SE_T13_DESC' =>		'<br/>Enter the results subject (i.e. "Link Popularity Checker Results").',
'IFS_SE_T15' =>				'Domain Limit',
'IFS_SE_T15_DESC' =>		'<br/>Enter the number of domains one can check the link popularity of in one query, or enter 0 for unlimited domains.',
'IFS_SE_T16' =>				'Live Results',
'IFS_SE_T16_DESC' =>		'<br/>If the results should be displayed live as they are gathered, select <b>Yes</b>, otherwise select <b>No</b> if the results should only be displayed when all the data is gathered.',
'IFS_SE_T17' =>				'Save Results',
'IFS_SE_T17_NO' =>			'Do not save results',
'IFS_SE_T17_DB' =>			'Local Database',
'IFS_SE_T17_XML-RPC' =>		'XML-RPC',
'IFS_SE_T17_DESC' =>		'<br/>Select whether you want to save the results in your local Database, on another server via XML-RPC or not save them at all.',
'IFS_SE_T18' =>				'Delete Results',
'IFS_SE_T18_DESC' =>		' days (Only required when you selected "Local Database" for "Save Results" above)<br/>Enter after how many days the cached results for a domain name should be deleted, or enter <b>0</b> if you do not wish to delete any results and rather keep a history of the domains.',
'IFS_SE_T19' =>				'Require Authentication',
'IFS_SE_T19_DESC' =>		'<br/>Select <b>Yes</b> if user should have enter a code/text read from a scrambled image before being able to perform queries; or select <b>No</b> for no image verfication prompt.',
'IFS_SE_T41' =>				'Message',
'IFS_SE_T41_DESC' =>		'<br/>Enter the email message. The variable <b>[[RESULTS]]</b> to be replaced with the actual results. You may use HTML.',
//prompts
'PROMPT_REMOVE_SE' =>		'Are you sure you wish to delete this Search Engine?',
// messages
'MSG_SETTINGS_UPDATED' =>	'The settings have successfully been updated.',

###---------###
### Sorting ###
###---------###
'TXT_SORT_FIELD' =>			'Sort by Field: ',
'TXT_SORT_ASC' =>			'Sort Ascending after ',
'TXT_SORT_DESC' =>			'Sort Descending after ',

###-------------###
### Search Page ###
###-------------###
'TXT_LINKPOP_INTRO' =>		'<p>Link popularity refers to the amount of web sites linking to a specified one. This can be useful in determining who exactly is linking to your site, how much traffic it might be receiving and who is linking to your competitors.</p>',
'TXT_ENTER_DOMAINS' =>		'<p>Enter the domain names you wish to check for link popularity below without the <b>http://</b> in front.</p>',
'TXT_SELECT_ENGINES' =>		'Select the search engines to be included in determining<br/>the link popularity',
'TXT_SKIP_0RESULTS' =>		'Skip Domains with 0 results',
'TXT_AUTHIMAGE' =>			'To improve performance and prevent unauthorized scripts we have implemented an Access Code for this tool.',
'TXT_ENTER_CODE' =>			'Please enter the displayed Access Code:',
'MSG_INVALID_CODE' =>		'The Access Code you entered was invalid. Please try again!',

###----------------###
### Table Headings ###
###----------------###
'TABLE_DOMAIN' =>			'Domain',
'TABLE_ID' =>				'ID',
'TABLE_NAME' =>				'Name',
'TABLE_STATUS' =>			'Status',
'TABLE_TOOLS' =>			'Tools',
'TABLE_TOTAL' =>			'Total',
);
?>